<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "ImageSize"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.4c / September 2013

*/

if (!defined('CPO')) exit;
$translator->addTranslation('translation', CPO_BASEDIR.$moduleDirectory.'/lang');

if (!empty($_SESSION['SID_user']['language']) && $_SESSION['SID_user']['language']!=$cpoSystem['language']) {
    $help_lang = $_SESSION['SID_user']['language'];
} else {
    $help_lang = $cpoSystem['language'];
}
if (!function_exists('tocHelp')) {
	function tocHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}


if (!function_exists('gdVersion'))  {
	function gdVersion($user_ver = 0)
	{
	   if (! extension_loaded('gd')) { return; }
	   static $gd_ver = 0;
	   // Just accept the specified setting if it's 1.
	   if ($user_ver == 1) { $gd_ver = 1; return 1; }
	   // Use the static variable if function was called previously.
	   if ($user_ver !=2 && $gd_ver > 0 ) { return $gd_ver; }
	   // Use the gd_info() function if possible.
	   if (function_exists('gd_info')) {
		   $ver_info = gd_info();
		   preg_match('/\d/', $ver_info['GD Version'], $match);
		   $gd_ver = $match[0];
		   return $match[0];
	   }
	   // If phpinfo() is disabled use a specified / fail-safe choice...
	   if (preg_match('/phpinfo/', ini_get('disable_functions'))) {
		   if ($user_ver == 2) {
			   $gd_ver = 2;
			   return 2;
		   } else {
			   $gd_ver = 1;
			   return 1;
		   }
	   }
	   // ...otherwise use phpinfo().
	   ob_start();
	   phpinfo(8);
	   $info = ob_get_contents();
	   ob_end_clean();
	   $info = stristr($info, 'gd version');
	   preg_match('/\d/', $info, $match);
	   $gd_ver = $match[0];
	   return $match[0];
	} // End gdVersion()
}

if (gdVersion() < 2) $warn_install = __(' (There is no installed GD2 on your system found, so you will not be able to use the module. The install-function has been diasabled!)');

$GLOBALS['modules']['Imagetool'.$warn_install] = array(
// die Modulfunktionen
	'directory'	=> $moduleDirectory,
    'caption'	=> __('Imagesize'),
    'install'	=> (gdVersion() >= 2) ? 'function: Imagetool_install' : '',
    'activate'	=> (gdVersion() >= 2) ? 'function: Imagetool_activate' : '',
    'deactivate'=> (gdVersion() >= 2) ? 'function: Imagetool_deactivate' : '',
    'uninstall'	=> (gdVersion() >= 2) ? 'function: Imagetool_uninstall '.$moduleDirectory : '',
	'manage'	=> (gdVersion() >= 2) ? 'function: Imagetool_manage' : '',
	'help'		=> $help,
	'owner'		=> $cpoSystem['owner'],
	'lkey'		=> '',
	'mod_id'	=> 14,
    'helptoc'	=> array(
        'bersicht' 
			=> tocHelp('index','imagesize'),
        '1. Eigenschaften' 
			=> tocHelp('features','imagesize'),
        '2. Installation' 
			=> tocHelp('setup','imagesize'),
        '3. Einstellungen' 
			=> tocHelp('settings','imagesize'),
    ),
// Grundwerte
	'presets'	=> "--- keine Grennderung ---\nkleines Bild (zoombar); 100; 100; 1\nmittleres Bild (zoombar); 200; 200; 1\ngroes Bild (zoombar); 300; 300; 1\n---\nkleines Bild (NICHT zoombar); 100; 100; 0\nmittleres Bild (NICHT zoombar); 200; 200; 0\ngroes Bild (NICHT zoombar); 300; 300; 0",
	'width'		=> '200',
	'height'	=> '200',
	'quality'	=> '50',
	'screenx'	=> '800',
	'screeny'	=> '600',
	'prefix'	=> 'zoom_',
	'suffix'	=> '.[%sx%s];.[%s]',
	'keepOriginal'	=> 'no',
	'noticeOriginal'=> 'no',
	'alt_open'	=> __('click to enlarge'),
	'alt_close'	=> __('click to close window'),
	'attributes'=> 'align,alt,border,height,hspace,ismap,longdesc,name,src,usemap,vspace,width,class,id,style,title,dir,lang',
	'fwsel'	    => 'code',
	'code'		=> '<a href="### ZOOM_FILE ###" onclick="ZoomImageFenster(this.href,### ZOOM_WIDTH ###,### ZOOM_HEIGHT ###,\'### CLOSE_TEXT ###\n### IMG_ALT ###\'); return false" title="### ENLARGE_TEXT ###'."\n".'### IMG_ALT ###">### IMG_TAG ###</a>',
	'lightbox'		=> '<a title="### IMG_ALT ###" href="### ZOOM_FILE ###" rel="lightbox">### IMG_TAG ###</a>',
	'opt'		=> array(
		'alibi'			=> 1,
		'allowfreesize'	=> 0,
		'zooming'		=> 1,
		'allownoresize'	=> 1,
		'allownozoom'	=> 1,
		'forceResize'	=> 0
	),
	'skip_restrictions'	=> 100,
	'aliases'	=> '',
// PRO Options -----------------------------------------------------------------------------------------
	'mark_copyright'=> 'no',
	'copyright_pos'	=> 9,
	'copyright_content'	=> ''.date('Y').' by '.$cpoSystem['project'],
	'copyright_border'	=> 5,
	'text_color'	=> '#FFFFFF',
	'shadow_color'	=> '#000000',
	'font'	=> 'fonts/FreeSans.ttf',
	'font_size'	=> 12,
	'show_watermark' => 'no',
	'watermark_pos' => 5,
	'watermark_pic' => 'watermark/conpresso_logo.jpg',
	'watermark_scale' => 'no',
	'watermark_transparency' => 30
);

if (!function_exists('Imagetool_manage'))  {
	function Imagetool_manage()
	{
		global $module_status, $k, $help_lang;
		printIcon(	
			BASE_ABS.$GLOBALS['modules']['Imagetool']['directory'].'/edit.php?list=options', 
			BASE_ABS.'_skin/conpresso/pic_settings.gif', 
			(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE) ? __('options') : __('not available'),
			array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
		);
	}
}

if (array_key_exists('Imagetool', $activeModules)) {
	if ($activeModules['Imagetool']['fwsel']=="code")  { 
		$mod_imagesize_js = '<script type="text/javascript" src="../' . $activeModules['Imagetool']['directory'] . '/includes/ZoomImage.js"></script>'."\n";
	} else if ($activeModules['Imagetool']['fwsel']=="lightbox")  {
		$mod_imagesize_js = '<script type="text/javascript" src="../' . $activeModules['Imagetool']['directory'] . '/lightbox/jquery-1.7.2.min.js"></script>'."\n"
						   .'<script type="text/javascript" src="../' . $activeModules['Imagetool']['directory'] . '/lightbox/lightbox.js"></script>'."\n"
						   .'<link rel="stylesheet" href="../' . $activeModules['Imagetool']['directory'] . '/lightbox/lightbox.css" type="text/css" media="screen" />'."\n";
	}
} else {
	 $mod_imagesize_js = '';
}

function log_imagesize()
{
	global $cpoSystem;
	@mail('kontakt@conpresso4.de','Das Modul Imagesize r4.4b wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
}

function Imagetool_install()
{
	$imagesizedb = new DB;
	$imagesizedb->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('imagesize', '".serialize(array("installed"=>time()))."', '') ");
	log_imagesize();
    $GLOBALS['message'][] = ___('The imagesize-module was successfully installed!');
}
function Imagetool_activate()
{
    $GLOBALS['message'][] = ___('The imagesize-module got activated.');
}

function Imagetool_deactivate()
{
    $GLOBALS['message'][] = ___('The imagesize-module got deactivated.');
}

function Imagetool_uninstall($directory_uninstall)
{
    $GLOBALS['message'][] = sprintf(___('Please remove the module directory %s to finally uninstall the imagesize-module.'), '<em>'.htmlspecialchars($directory_uninstall, ENT_COMPAT, 'ISO-8859-15').'</em>');
}

$imagesizedb = new DB;
$imagesizedb->query('SELECT options FROM '.CPO_OPTION.' '
		  ."WHERE type='imagesize' ORDER BY id ASC LIMIT 0,1");
while ($imagesizedb->next_record()) {
	$options = $imagesizedb->v('options');
	$imagesizeOpt = unserialize($options);
	if (!is_array($imagesizeOpt)) break;
	foreach ($imagesizeOpt as $key=>$v) {
		$activeModules['Imagetool'][$key] = $v;
	}
}
if (	license($activeModules['Imagetool']['lkey'],$activeModules['Imagetool']['mod_id']) != 1 &&
		license($activeModules['Imagetool']['lkey'],$activeModules['Imagetool']['mod_id']) != 2 &&
		license($activeModules['Imagetool']['lkey'],$activeModules['Imagetool']['mod_id']) != 3 &&
		$activeModules['Imagetool']['installed']<(time()-90*24*60*60) && 
		!isset($_POST['go']) &&
		@file_exists(CPO_BASEDIR.$activeModules['Imagetool']['directory'].'/includes/producer.inc.php')
	) 
	{
	if (@file_exists(CPO_BASEDIR.$activeModules['Imagetool']['directory'].'/includes/producer.inc.php')) include(CPO_BASEDIR.$activeModules['Imagetool']['directory'].'/includes/producer.inc.php');
	$message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
		htmlspecialchars($MOD['product'], ENT_COMPAT, 'ISO-8859-15')).'</strong> ';
	$itbreak = true;
}

// the CPO4.1 PageTemplate-Functions
function cpoPageImagesizeJS()    { global $mod_imagesize_js; return $mod_imagesize_js; }

?>
